Package: org.grails.cli.profile.steps

## [Groovy] Interface StepFactory

-     interface StepFactory

  Creates steps

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract Step` | `createStep(java.lang.String name, Command command, java.util.Map parameters)` Creates a step for the given name, command and parameters

- - ### Method Detail

    - #### abstract Step createStep(java.lang.String name, Command command, java.util.Map parameters)

      Creates a step for the given name, command and parameters

      Parameters:
        `name` - The name of the step
        `command` - The command
        `parameters` - The parameters
      Returns:
        The step instance